Antom, leading provider of tailored payment solutions

inquireDirectRefund

POST /v1/aba/funds/inquireDirectRefund

Use this API to query the status and details of a refund transaction after it has been initiated. The response includes current transaction status and relevant instructions from ABA, enabling you to track progress and update refund handling as needed.

Structure

A message consists of a header and body. The following sections are focused on the body structure. For the header structure, see: 

Note: Set the data type of each field (except array) as String. This means that you must use double quotation marks (" ") to enclose the field value. Examples:

  • If the data type of a field is Integer and its value is 20, set it as "20". 
  • If the data type of a field is Boolean and its value is true, set it as "true". 

Request parameters

refundRequestId String  

The unique ID assigned by a merchant to identify a payment request.

More information:

  • Maximum length: 32 characters

refundId String  

The unique ID assigned by a merchant for a refund request.

More information:

  • Maximum length: 32 characters

Response parameters

result Result  REQUIRED

The result of the API call.

Show child parameters

paymentId String  

The unique ID assigned by Antom to identify a payment.

More information:

  • Maximum length: 32 characters

refundId String  

The unique ID assigned by a merchant for a refund request.

More information:

  • Maximum length: 32 characters

refundRequestId String  

The unique ID assigned by a merchant to identify a payment request.

More information:

  • Maximum length: 32 characters

refundStatus String  

Refund Status. Possible values are:

  • SUCCESS: Refund successful.
  • PROCESSING: Refund accepted and is under processing.
  • ​UNKNOWN​: The refund result is unknown, please contact Antom for support.
  • FAIL: Refund failed.

refundResultCode String  

Result code. Refer to the Refund result codes table for possible values.

Note: This parameter will only be returned when the value of refundStatus is FAIL.

refundResultMessage String  

Refund result message that explains the refund result code.

Note: This parameter will only be returned when the value of refundStatus is FAIL.

More information:

  • Maximum length: 256 characters

refundTime Datetime  

The time when refund is completed.

More information:

  • The value follows the ISO 8601 standard format. For example, "2019-11-27T12:01:01+08:00".

refundFromMethod RefundFromMethod  

The refund deduction source used during refund process.
Show child parameters

refundFromAmount Amount  

The amount refunded from source.
Show child parameters

refundToAmount Amount  

The amount refunded to initiator.
Show child parameters
API Explorer

Request

URL
Method
POST
Case
Query by refundRequestId
Request Body

Response

Case
Success
Response Body

Result/Error codes

CodeValueMessageFurther action
SUCCESSSsuccess.

Inquire request is successful.

PARAM_ILLEGALFillegal param received.

Check and verify whether the request fields, including the header fields and body fields, are correct and valid.
For details on the fields of each API, see the specific API Structure section.

REQUEST_TRAFFIC_EXCEED_LIMITFThe request traffic exceeds the limit.

Call the interface again to resolve the issue. If the issue persists, contact Antom Technical Support.

PROCESS_FAILFA general business failure occurred, payment failed.

Human intervention is usually needed. It is recommended that you contact Antom Technical Support to resolve the issue.

UNKNOWN_EXCEPTIONUUnknown exception has occurred

The service might be down, retry later. If the issue persists, contact Antom Technical Support.

ORDER_NOT_EXISTFThe order does not exist

Check whether paymentId is correct.

Refund result codes

CodeValueMessageFurther action
PAYMENT_IN_PROCESSUpayment in process

Check the order status and take corresponding actions. Wait if the transaction is under process. Do not initiate the refund if the transaction failed. Contact Antom Technical Support for specific reasons.

REFUND_AMOUNT_EXCEEDFRefund exceeded the total payment amount

Please correct the refund amount.

REFUND_WINDOW_EXCEEDFExceeded refund window

Refund exceeded the acceptable refund period.

ORDER_NOT_EXISTFThe order does not exists

Payment order does not exist. Retry with the correct payment information.

INVALID_ACCESS_TOKENFCheck whether the access token is expired, revoked, or does not exist.

Re-sign the contract and re-initiate the authorization signing process.

PARAM_ILLEGALFillegal param received.

Check and verify whether the request fields, including the header fields and body fields, are correct and valid.
For details on the fields of each API, see the specific API Structure section.

ACCESS_DENIEDFAccess is denied

Retry with another user information.

USER_NOT_EXISTFUser id does not exist

Retry with the correct user information.

PROCESS_FAILFA general business failure occurred, refund failed

Human intervention is usually needed. It is recommended that you contact Antom Technical Support to resolve the issue.

UNKNOWN_EXCEPTIONUUnknown exception has occurred

The service might be down, retry later. If the issue persists, contact Antom Technical Support.

REQUEST_TRAFFIC_EXCEED_LIMITFThe request traffic exceeds the limit.

Call the interface again to resolve the issue. If the issue persists, contact Antom Technical Support.

ORDER_IS_CANCELFRefund order is cancelled due to payment order being cancelled.

Contact Antom Technical Support for help.